/*
 Theme Name: Musico Child
 Theme URI: https://tudominio.com
 Description: Tema hijo básico de Musico para fuentes personalizadas
 Author: Tu Nombre
 Template: musico
 Version: 1.0
 Text Domain: musico-child
*/

/* Aquí puedes cargar las fuentes personalizadas */
@font-face {
    font-family: 'Switzer';
    src: url('fonts/switzer/Switzer-Semibold.woff2') format('woff2'),
        url('fonts/switzer/Switzer-Semibold.woff') format('woff');
    font-weight: 600;
    font-style: bold;
    font-display: swap;
}

/* Ejemplo: aplicar la fuente al body */
p,
li,
a,
span {
    font-family: 'Switzer', sans-serif !important;
    font-weight: 600 !important;
}

body #menu_wrapper a,
body #mobile_main_menu a,
body #sub_menu a {
    font-family: 'Switzer', sans-serif !important;
    font-weight: 600 !important;
    font-size: 1rem !important;
}

#logo_normal img,
#logo_transparent img {
    max-width: 100px;
    height: auto;
    margin: 1rem;
}

.elementor-widget-text-editor.no-margin p {
    margin: 0;
}

.elementor-widget-text-editor.no-padding p {
    padding: 0;
}

@media only screen and (min-width: 768px) and (max-width: 960px) {
  .home h2.elementor-heading-title {
    font-size: 5rem !important;
  }
}

.fechas-home {
    font-size: 1.75rem;
}

.bloque-fechas p,
.fechas-home,
.fechas-home p {
    font-family: 'Switzer', sans-serif !important;
    font-weight: 600 !important;
    margin: 0;
    padding: 0;
    font-size: 1.75rem;
}

.fechas-home p:first-child {
    font-size: 1.5em;
    line-height: 1em;
}

.fechas-home a {
    padding: .5em 1em;
    border-radius: 10px;
    text-align: center;
    color: white;
    font-size: .7em;
    font-family: 'Switzer', sans-serif !important;
    font-weight: 600 !important;
    transition: transform .3s ease;
    display: inline-block;
}

.fechas-home a:hover {
    transform: scale(1.2);
    color: white;
}

.fechas-home a,
.fechas-home.ultimas-entradas a {
    background: #238845;
}

.fechas-home.agotadas a {
    background: crimson;
}


/* POPUP     */
.sgpb-theme-6-content {
    box-shadow: rgba(255, 255, 255, .5) 0 0 8px 3px !important;
}

#sgpb-popup-dialog-main-div .sgpb-popup-builder-content-html .sgpb-main-html-content-wrapper {
    display: flex;
    justify-content: space-between;
    align-content: center;
    min-height: 300px;
    width: 100%;
    flex-direction: column;
    height: 100%;
}

#sgpb-popup-dialog-main-div .sgpb-popup-builder-content-html .sgpb-main-html-content-wrapper .p-popup {
    background: transparent;
    color: #ffe02b;
    max-width: 200px;
    font-size: 2rem;
    line-height: 1em;
    font-weight: 600;
    font-family: 'Switzer' !important;
}

#sgpb-popup-dialog-main-div .sgpb-popup-builder-content-html .sgpb-main-html-content-wrapper .eman-izena {
    background-color: #ffe02b;
    color: #000;
    padding: .25em 1em;
    font-size: 1.25rem;
    font-weight: 600;
    border-radius: 10px;
    font-family: switzer !important;
    text-decoration: none;

    transition: transform .3s ease;
}

#sgpb-popup-dialog-main-div .sgpb-popup-builder-content-html .sgpb-main-html-content-wrapper .eman-izena:hover {
    background-color: #000;
    color: #ffe02b;
    transform: scale(1.2);
}

@media only screen and (max-width: 768px) {

    #sgpb-popup-dialog-main-div,
    .sgpb-popup-dialog-main-div-theme-wrapper-6 {
        width: 90% !important;
        max-width: 90% !important;
    }
}